[ovs-dev] [PATCH] datapath: Fix sparse warning for symbol 'BUILD_BUG_ON_NOT_POWER_OF_2'

Pravin B Shelar pshelar at nicira.com
Sat Oct 27 20:07:24 UTC 2012


Signed-off-by: Pravin B Shelar <pshelar at nicira.com>
---
 datapath/linux/compat/include/linux/kernel.h |    2 ++
 1 file changed, 2 insertions(+)

diff --git a/datapath/linux/compat/include/linux/kernel.h b/datapath/linux/compat/include/linux/kernel.h
index 812f213..ff354ad 100644
--- a/datapath/linux/compat/include/linux/kernel.h
+++ b/datapath/linux/compat/include/linux/kernel.h
@@ -39,11 +39,13 @@
 #define pr_warn pr_warning
 #endif
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(3,4,0)
 #ifndef BUILD_BUG_ON_NOT_POWER_OF_2
 /* Force a compilation error if a constant expression is not a power of 2 */
 #define BUILD_BUG_ON_NOT_POWER_OF_2(n)			\
 	BUILD_BUG_ON((n) == 0 || (((n) & ((n) - 1)) != 0))
 #endif
+#endif
 
 #if defined(CONFIG_PREEMPT) && LINUX_VERSION_CODE < KERNEL_VERSION(2,6,21)
 #error "CONFIG_PREEMPT is broken before 2.6.21--see commit 4498121ca3, \"[NET]: Handle disabled preemption in gfp_any()\""
-- 
1.7.10




More information about the dev mailing list